//
// gt_pktsnoop.h
//
// Various structures and definitions for the realtime
// packet capture routines.
//
// Copyright (c) 2001, Grenville Armitage
// gj_armitage@yahoo.com
//
//
// +++++++++++++++++++++++ License and Conditions +++++++++++++++++++++++++
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   A copy of this license was supplied with pkthisto in the
//   file ../COPYING. Alternatively, a copy may be obtained from
//   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA  02111-1307, USA.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// Initially this will only work under FreeBSD or similar
// systems that support the BPF interface. Maybe I'll port
// to libpcap at some stage.
//


#ifndef WIN32	// Only include this file if we're not compiling under
				// Windows (until I add Win32 realtime capture support)

#define BPFDEFAULT	"/dev/bpf\0"		// Base filename for BPF device

#define BPF_READBUF		96			// Default size for bpf read buffer

#define BPF_TRUNCATELEN	38			// Default is to grab only 38 bytes to
									// cover Ethernet + IP + UDPport
										
#define BPF_READTIMEOUT 5			// read() on the BPF device returns after this
									// many seconds even if there's no packet
									
									
#endif WIN32


