//
// gt_tcpdump_hdr.h
//
// structures relating to parsing tcpdump
// files
//
// Copyright (c) 2001, Grenville Armitage
// gj_armitage@yahoo.com
//
//
// +++++++++++++++++++++++ License and Conditions +++++++++++++++++++++++++
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   A copy of this license was supplied with pkthisto in the
//   file ../COPYING. Alternatively, a copy may be obtained from
//   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA  02111-1307, USA.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#define L1_ETHERNET	1	// link code for Ethernet


// Header for the tcpdump tracefile

#define TCPDUMP_MAGIC 0xa1b2c3d4

struct tracefile_header {
	unsigned int	magic;			// 4 octets
	unsigned short	version_major;	// 2 octets
	unsigned short	version_minor;	// 2 octets
	int				thiszone;	// timezone (gmt to local) correction
	unsigned int	sigfigs;	// timestamp accuracy?
	unsigned int	snaplen;	// Upto snaplen bytes saved per packet
	unsigned int	linktype;	// Link layer (==1 for Ethernet)
};


// Header pre-pended to each ethernet frame captured in
// the tracefile. Note assumption here - each field is
// 4 octets long.

struct packet_header {
	unsigned int	ts_secs;	// time stamp -- seconds since 1970
	unsigned int	ts_usecs;	// time stamp -- useconds
	unsigned int	capturelen;	// length of portion present in file
	unsigned int	actuallen;	// length of this packet off wire
};

// Probably should define some method for swapping
// byte ordering within the structs in case we run on
// different architecture, but for MS C++ and gcc under
// FreeBSD4.3 seems to work fine as-is.

